#include "app.h"
#include <Alert.h>
#include <Entry.h>

app::app():BApplication("application/x-vnd.Be-elfexecutable") {
}

app::~app() {
}

void app::ReadyToRun() {
}

bool app::QuitRequested() {
	while (CountWindows()>0) {WindowAt(0)->Lock();WindowAt(0)->Quit();}
	return true;
}

void app::MessageReceived(BMessage *msg) {
	switch(msg->what) {
	
		default:
			BApplication::MessageReceived(msg);
			break;
	}
}

void app::RefsReceived(BMessage *msg) {
	uint32 		type;
	int32 		count;
	BEntry		*entry=new BEntry();
	entry_ref	ref;

	msg->GetInfo("refs", &type, &count);
	
	// not a entry_ref?
	if (type != B_REF_TYPE) {
		delete entry;
		return;
	}
	
	if (msg->FindRef("refs", 0, &ref) == B_OK)
		if (entry->SetTo(&ref,true)==B_OK) {
			// entry is ok. use it here.
		}
	delete entry;	
}

void app::AboutRequested() {
	BAlert *alert=new BAlert("about","MyCoolApp v0.1\n\nCopyright by Author","Oh.");
	alert->Go();
}


int main() {
	new app();
	be_app->Run();
	delete be_app;
	return 0;
}
