#include "app.h"
#include <Entry.h>
#include "AboutWindow.h"

app::app():BApplication("application/x-vnd.Be-elfexecutable") {
	mainW=new mainWindow();
}

app::~app() {
}

void app::ReadyToRun() {
	mainW->Show();
}

bool app::QuitRequested() {
	while (CountWindows()>0) {WindowAt(0)->Lock();WindowAt(0)->Quit();}
	return true;
}

void app::MessageReceived(BMessage *msg) {
	switch(msg->what) {
	
		default:
			BApplication::MessageReceived(msg);
			break;
	}
}

void app::RefsReceived(BMessage *msg) {
	uint32 		type;
	int32 		count;
	BEntry		*entry=new BEntry();
	entry_ref	ref;

	msg->GetInfo("refs", &type, &count);
	
	// not a entry_ref?
	if (type != B_REF_TYPE) {
		delete entry;
		return;
	}
	
	if (msg->FindRef("refs", 0, &ref) == B_OK)
		if (entry->SetTo(&ref,true)==B_OK) {
			// entry is ok. use it here.
		}
	delete entry;	
}

void app::AboutRequested() {
	AboutWindow	*aboutW=new AboutWindow("About");
	aboutW->SetApplicationName("CoolApp");
	aboutW->SetVersionNumber("1.0 alpha 1");
	aboutW->SetCopyrightString(B_UTF8_COPYRIGHT"2002 by The CoolApp's Author");
	aboutW->SetText("This application was created with a little help from my friends. In the beginning there was the Nice Application Skeleton by moscht.\n\n\tEscape sequences are pretty cool ;)");
	aboutW->Show();
}


int main() {
	new app();
	be_app->Run();
	delete be_app;
	return 0;
}
