#include "mainWindow.h"
#include <Application.h>

mainWindow::mainWindow()
		: BWindow(BRect(100, 100, 400, 300), "CoolApp", B_TITLED_WINDOW, B_ASYNCHRONOUS_CONTROLS) {
		
	// Add the main window's view
	mainV=new BView(Bounds(), "mainWindow::mainV", B_FOLLOW_ALL, B_WILL_DRAW);
	mainV->SetViewColor(216, 216, 216);
	AddChild(mainV);
	
	// Create "File" menu and add some items
	fileM=new BMenu("File");
	fileM->AddItem(new BMenuItem("About CoolApp...", new BMessage(B_ABOUT_REQUESTED)));
	fileM->AddSeparatorItem();
	fileM->AddItem(new BMenuItem("Quit", new BMessage(B_QUIT_REQUESTED), 'Q'));

	// the main menu bar
	mainMB=new BMenuBar(BRect(0,0, Bounds().right, 14), "mainWindow::mainMB");
	
	// Add "File" menu to hierarchy
	mainMB->AddItem(fileM);
	mainV->AddChild(mainMB);
	
	// set the target handler for messages coming from this menu.
	// in this case it is B_ABOUT_REQUESTED and B_QUIT_REQUESTED
	fileM->SetTargetForItems(be_app_messenger);
}


mainWindow::~mainWindow() {
}


bool	mainWindow::QuitRequested() {
	be_app->PostMessage(B_QUIT_REQUESTED);
	return false;
}


void	mainWindow::MessageReceived(BMessage *msg) {
	switch(msg->what) {
		// your messages are to be processed here
		default: {
			BWindow::MessageReceived(msg);
			break;
		}
	}
}


